## libkf5incidenceeditor 21.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,12 @@
-cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.15.3")
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+set(PIM_VERSION "5.18.1")
 
 project(incidenceeditor VERSION ${PIM_VERSION})
 
-set(KF5_MIN_VERSION "5.71.0")
+set(KF5_MIN_VERSION "5.83.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-set(LIBRARY_NAMELINK)
-if (POLICY CMP0053)
-    cmake_policy(SET CMP0053 NEW)
-endif()
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -22,6 +18,7 @@
 include(ECMGeneratePriFile)
 
 include(FeatureSummary)
+include(KDEGitCommitHooks)
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddTests)
 
@@ -29,20 +26,21 @@
 
 
 set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
-set(AKONADI_MIMELIB_VERSION "5.15.3")
-set(KDEPIM_LIB_VERSION "5.15.3")
-set(QT_REQUIRED_VERSION "5.13.0")
-set(KMIME_LIB_VERSION "5.15.3")
-set(KMAILTRANSPORT_LIB_VERSION "5.15.3")
-set(KLDAP_LIB_VERSION "5.15.3")
-set(CALENDARUTILS_LIB_VERSION "5.15.3")
-set(CALENDARSUPPORT_LIB_VERSION "5.15.3")
-set(LIBKDEPIM_LIB_VERSION "5.15.3")
-set(EVENTVIEW_LIB_VERSION "5.15.3")
-set(AKONADI_VERSION "5.15.3")
-set(AKONADICONTACT_LIB_VERSION "5.15.3")
-set(AKONADICALENDAR_LIB_VERSION "5.15.3")
-set(PIMCOMMON_LIB_VERSION_LIB "5.15.3")
+set(AKONADI_MIMELIB_VERSION "5.18.1")
+set(KDEPIM_LIB_VERSION "5.18.1")
+set(QT_REQUIRED_VERSION "5.15.0")
+set(KMIME_LIB_VERSION "5.18.1")
+set(KMAILTRANSPORT_LIB_VERSION "5.18.1")
+set(KLDAP_LIB_VERSION "5.18.1")
+set(CALENDARUTILS_LIB_VERSION "5.18.1")
+set(CALENDARSUPPORT_LIB_VERSION "5.18.1")
+set(LIBKDEPIM_LIB_VERSION "5.18.1")
+set(EVENTVIEW_LIB_VERSION "5.18.1")
+set(AKONADI_VERSION "5.18.1")
+set(AKONADICONTACT_LIB_VERSION "5.18.1")
+set(AKONADICALENDAR_LIB_VERSION "5.18.1")
+set(PIMCOMMON_LIB_VERSION "5.18.1")
+set(GRANTLEETHEME_LIB_VERSION "5.18.1")
 
 set(KDIAGRAM_LIB_VERSION "1.4.0")
 find_package(KGantt ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)
@@ -54,8 +52,8 @@
 find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
-find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
-
+find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
 
 find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -75,7 +73,7 @@
 )
 
 option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)
-
+option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
 
 # config-enterprise.h is needed for both ENTERPRISE_BUILD and BUILD_EVERYTHING
 configure_file(config-enterprise.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-enterprise.h )
@@ -84,7 +82,16 @@
 
 
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055400)
+
+option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
+
+set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
+if (USE_UNITY_CMAKE_SUPPORT)
+    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
+    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
+endif()
+
 
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5IncidenceEditor")
@@ -109,10 +116,11 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
 )
 
-add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_NO_KEYWORDS)
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+if(BUILD_TESTING)
+  add_definitions(-DBUILD_TESTING)
+endif()
 add_subdirectory(src)
 if (BUILD_TESTING)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
@@ -121,5 +129,6 @@
    add_subdirectory(tests)
 endif()
 
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+ki18n_install(po)
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)
