## libkf5incidenceeditor 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,16 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.18.1")
+set(PIM_VERSION "5.19.3")
 
 project(incidenceeditor VERSION ${PIM_VERSION})
 
-set(KF5_MIN_VERSION "5.83.0")
+set(KF5_MIN_VERSION "5.87.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 
 include(GenerateExportHeader)
 include(ECMSetupVersion)
@@ -19,28 +19,31 @@
 
 include(FeatureSummary)
 include(KDEGitCommitHooks)
+include(KDEClangFormat)
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddTests)
-
-
+include(ECMAddQch)
+option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 
 set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
-set(AKONADI_MIMELIB_VERSION "5.18.1")
-set(KDEPIM_LIB_VERSION "5.18.1")
-set(QT_REQUIRED_VERSION "5.15.0")
-set(KMIME_LIB_VERSION "5.18.1")
-set(KMAILTRANSPORT_LIB_VERSION "5.18.1")
-set(KLDAP_LIB_VERSION "5.18.1")
-set(CALENDARUTILS_LIB_VERSION "5.18.1")
-set(CALENDARSUPPORT_LIB_VERSION "5.18.1")
-set(LIBKDEPIM_LIB_VERSION "5.18.1")
-set(EVENTVIEW_LIB_VERSION "5.18.1")
-set(AKONADI_VERSION "5.18.1")
-set(AKONADICONTACT_LIB_VERSION "5.18.1")
-set(AKONADICALENDAR_LIB_VERSION "5.18.1")
-set(PIMCOMMON_LIB_VERSION "5.18.1")
-set(GRANTLEETHEME_LIB_VERSION "5.18.1")
+set(AKONADI_MIMELIB_VERSION "5.19.3")
+set(KDEPIM_LIB_VERSION "5.19.3")
+set(QT_REQUIRED_VERSION "5.15.2")
+set(KMIME_LIB_VERSION "5.19.3")
+set(KMAILTRANSPORT_LIB_VERSION "5.19.3")
+set(KLDAP_LIB_VERSION "5.19.3")
+set(CALENDARUTILS_LIB_VERSION "5.19.3")
+set(CALENDARSUPPORT_LIB_VERSION "5.19.3")
+set(LIBKDEPIM_LIB_VERSION "5.19.3")
+set(EVENTVIEW_LIB_VERSION "5.19.3")
+set(AKONADI_VERSION "5.19.3")
+set(AKONADICONTACT_LIB_VERSION "5.19.3")
+set(AKONADICALENDAR_LIB_VERSION "5.19.3")
+set(PIMCOMMON_LIB_VERSION "5.19.3")
 
 set(KDIAGRAM_LIB_VERSION "1.4.0")
 find_package(KGantt ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)
@@ -53,7 +56,6 @@
 find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
 find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
 
 find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -73,7 +75,6 @@
 )
 
 option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)
-option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
 
 # config-enterprise.h is needed for both ENTERPRISE_BUILD and BUILD_EVERYTHING
 configure_file(config-enterprise.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-enterprise.h )
@@ -81,8 +82,8 @@
 ########### Targets ###########
 
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055400)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
 
@@ -116,8 +117,6 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
 )
 
-set(CMAKE_CXX_STANDARD 17)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
 if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
 endif()
@@ -129,6 +128,16 @@
    add_subdirectory(tests)
 endif()
 
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KF5IncidenceEditor_QCH
+        FILE KF5IncidenceEditorQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5IncidenceEditorQchTargets.cmake\")")
+endif()
+
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 ki18n_install(po)
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
