=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:21.12.3~),
-               libkf5akonadimime-dev (>= 4:21.12.3~),
+               libkf5akonadi-dev (>= 4:22.08.1~),
+               libkf5akonadimime-dev (>= 4:22.08.1~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarsupport-dev (>= 4:21.12.3~),
-               libkf5calendarutils-dev (>= 4:21.12.3~),
+               libkf5calendarsupport-dev (>= 4:22.08.1~),
+               libkf5calendarutils-dev (>= 4:22.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.12.3~),
-               libkf5eventviews-dev (>= 4:21.12.3~),
-               libkf5grantleetheme-dev (>= 21.12.3~),
+               libkf5contacteditor-dev (>= 4:22.08.1~),
+               libkf5eventviews-dev (>= 4:22.08.1~),
+               libkf5grantleetheme-dev (>= 22.08.1~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 21.12.3~),
-               libkf5libkdepim-dev (>= 4:21.12.3~),
-               libkf5mailtransport-dev (>= 21.12.3~),
-               libkf5mime-dev (>= 21.12.3~),
-               libkf5pimcommon-dev (>= 4:21.12.3~),
+               libkf5ldap-dev (>= 22.08.1~),
+               libkf5libkdepim-dev (>= 4:22.08.1~),
+               libkf5mailtransport-dev (>= 22.08.1~),
+               libkf5mime-dev (>= 22.08.1~),
+               libkf5pimcommon-dev (>= 4:22.08.1~),
                libkgantt-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -55,13 +55,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:21.12.3~),
-         libkf5akonadicalendar-dev (>= 4:21.12.3~),
+Depends: libkf5akonadi-dev (>= 4:22.08.1~),
+         libkf5akonadicalendar-dev (>= 4:22.08.1~),
          libkf5calendarcore-dev (>= 4:19.08.3~),
-         libkf5identitymanagement-dev (>= 21.12.3~),
+         libkf5identitymanagement-dev (>= 22.08.1~),
          libkf5incidenceeditor5abi2 (= ${binary:Version}),
-         libkf5mailtransport-dev (>= 21.12.3~),
-         libkf5mime-dev (>= 21.12.3~),
+         libkf5mailtransport-dev (>= 22.08.1~),
+         libkf5mime-dev (>= 22.08.1~),
          libkgantt-dev,
          ${misc:Depends},
          ${shlibs:Depends},
